<?php
require_once("../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion

require_once("../includes/funciones_generales.php");
if(!comprobar_sesion()){
	$ar=array();
	$ar['error']='session';
	echo json_encode($ar);
	exit;
}

require_once("../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));

if(isset($_POST['oper'])){
	$acction=$_POST['oper'];
	$codigo=$_POST['id']; //codigo del regidtro
	$idegrado=$_POST['ide_grado'];
	$nomgrado=$_POST['nom_grado'];

	switch($acction){
		case 'del':
			$sql="delete from `aux_grados`  WHERE `cod_grado` = '$codigo';";
		break;
		case 'edit';
			$sql="UPDATE aux_grados SET  nom_grado = '$nomgrado', ide_grado = '$idegrado'  WHERE cod_grado = '$codigo';";
		break;
		case 'add':
				
			$sql="INSERT INTO `aux_grados`(`ide_grado`,`nom_grado`,`orden`) VALUES ('$idegrado','$nomgrado',0);";
		break;
		default:
			$sql="";
	}
	//echo $sql;
	if($sql!=''){
		$academia->instruccion($sql);
		if($acction=='add'){
			$rta=array('error'=>$academia->extraer_error(),'id'=>$academia->ultima_fila());
			echo json_encode($rta);
		}else{
			$rta=array('error'=>$academia->extraer_error(),'id'=>$codigo);
			echo json_encode($rta);
		}
	}		
}
$academia->cerrar();
?>